INSTALLBOOT(8S)

NAME
installboot - install bootblocks in a disk partition

SYNOPSIS
/usr/kvm/mdec/installboot [ -hltv ] bootfile protobootblk bootdevice

DESCRIPTION

The boot(8S) program is loaded from disk by bootblock code which resides in the bootblock area of a disk partition. In order for the bootblock code to read the boot program (usually /boot) it is necessary for it to know the block numbers occupied by the boot program.

installboot plugs the block numbers of the boot program into a table in the bootblock code, and writes the modified bootblock code onto the disk. Note: installboot must be run every time the boot program is reinstalled, since in general, the block list of the boot program will change each time it is written.

bootfile is the name of the boot program, usually /boot. protobootblk is the name of the bootblock code into which the block numbers of the boot program are to be inserted. Sun distributes a number of prototype boot blocks for different Sun-supported devices in /usr/kvm/mdec. The prototype bootblock file must have an a.out(5) header, but it will be written out to the device with the header removed. See `SPARCstation 1 Systems Only' below for exceptions. bootdevice is the name of the disk device onto which the bootblock code is to be installed.

You can see how installboot works by making the destination a regular file instead of a device, and examining the result with od(1V).

  SPARCstation 1 Systems Only

The SPARCstation 1 system (or any machine of kernel architecture sun4c) uses bootblocks which are regular a.out(5) executables. This means the header is left intact when the bootblock is transferred to the disk. This is primarily used to distinguish bootable floppy disks: since the header contains a machine type code, a machine of one architecture can avoid attempting to boot a floppy which contains bootblocks for a different architecture.

installboot distributed with the sun4c executables leaves the header on the bootblock automatically; this behavior may be duplicated by other versions of installboot by using the -h flag described below.

OPTIONS

-h  Leave the a.out header on the bootblock when installed on disk.

-l  Print out the list of block numbers of the boot program.

-t  Test. Display various internal test messages.

-v  Verbose. Display detailed information about the size of the boot program, etc.

EXAMPLE

To install the bootblocks onto the root partition on a Xylogics disk:
    example% cd /usr/kvm/mdec
    example% installboot -vlt /boot bootxy /dev/rxy0a

For an SD disk, you would use bootsd and /dev/rsd0a, respectively, in place of bootxy and /dev/rxy0a.

SEE ALSO
od(1V), a.out(5), boot(8S), bootparamd(8), init(8), kadb(8S), monitor(8S), ndbootd(8C), rc(8), reboot(8)